## Class TCallbackEventParameter

Description

TCallbackEventParameter class.

The TCallbackEventParameter provides the parameter passed during the callback requestion in the CallbackParameter property. The callback response content (e.g. new HTML content) must be rendered using an THtmlWriter obtained from the NewWriter property, which returns a NEW instance of TCallbackResponseWriter.

Each instance TCallbackResponseWriter is associated with a unique boundary delimited. By default each panel only renders its own content. To replace the content of ONE panel with that of rendered from multiple panels use the same writer instance for the panels to be rendered.

The response data (i.e., passing results back to the client-side callback handler function) can be set using ResponseData property.

- since: 3.1
- version: $Id: TActivePageAdapter.php 1648 2007-01-24 05:52:22Z wei $
- author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Located in /Web/UI/ActiveControls/TCallbackEventParameter.php (line 35)

    TComponent
       |
       --TEventParameter
          |
          --TCallbackEventParameter

Direct descendents

Class | Description
--- | ---
TAutoCompleteEventParameter | TAutCompleteEventParameter contains the getToken requested by the user for a partial match of the suggestions.

Method Summary
TCallbackEventParameter __construct (mixed $response, mixed $parameter)
mixed getCallbackParameter ()
TCallbackResponseWriter getNewWriter ()
mixed getResponseData ()
void setResponseData (mixed $value)
Methods
Constructor __construct (line 49)

Creates a new TCallbackEventParameter.

- access: public

TCallbackEventParameter __construct (mixed $response, mixed $parameter)

Redefined in descendants as:

- TAutoCompleteEventParameter::__construct() : Creates a new TCallbackEventParameter.

getCallbackParameter (line 66)

- return: callback request parameter.
- access: public

mixed getCallbackParameter ()
getNewWriter (line 58)

- return: holds the response content.
- access: public

TCallbackResponseWriter getNewWriter ()
getResponseData (line 82)

- return: callback response data.
- access: public

mixed getResponseData ()
setResponseData (line 74)

- access: public

void setResponseData (mixed $value)

- mixed $value: callback response data.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:34 -0400 by phpDocumentor 1.3.0RC4